Subject: Re: [PATCH] powerpc: Create "rom" (MTD) device prpmc2800

From: Segher Boessenkool <[email-masked]>
Date: Thu, 7 Jun 2007 17:55:44 +0200

> Any representation of flash devices in the device-tree should ideally
> have 'bus width' and 'interleave' properties to contain this
> information.
>
> The 'bus width' cannot necessarily be inferred, especially where a 
> given
> bus can be configured to allow multiple sizes of access. It's purely a
> function of how the flash chips are wired up. That's why we actually
> call it 'bank width', not 'bus width' in the Linux code.

Ah, "bank width" as in "bus width" per chip select.  I see.

So I think the best thing to have would be

	compatible      "cfi-flash"
	bank-width      like you said
	device-width    width of a single flash device
	reg             complete address range of this thing

and then the Linux OF CFI flash code / MTD code just keeps
on probing devices from that address range until it has it
filled.

Sounds good / comments / anything I missed?

Segher